# Uses of Interface
org.opensaml.soap.wstrust.SignChallenge

Packages that use SignChallenge
Package
Description
org.opensaml.soap.wstrust.impl
XML Object provider implementations for WS-Trust.

## Uses of SignChallenge in org.opensaml.soap.wstrust.impl

Classes in org.opensaml.soap.wstrust.impl that implement SignChallenge
Modifier and Type
Class
Description
`class`
`SignChallengeImpl`
SignChallengeImpl.
Methods in org.opensaml.soap.wstrust.impl that return SignChallenge
Modifier and Type
Method
Description
`SignChallenge`
SignChallengeBuilder.`buildObject()`
Builds a WS-Trust object of the given type.
`SignChallenge`
SignChallengeBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.